Reactor Dependency Convergence

Legend:
error At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 8
Number of dependencies (NOD): 77
Number of unique artifacts (NOA): 85
Number of version-conflicting artifacts (NOC): 6
Number of SNAPSHOT artifacts (NOS): 11
Convergence (NOD/NOA): error 90 %
Ready for release (100 % convergence and no SNAPSHOTS): error Error
You do not have 100 % convergence.
You have SNAPSHOT dependencies.

Dependencies used in modules

commons-codec:commons-codec

error
1.5
  1. org.openflexo:diana-ppt-editor:jar:1.5.1-SNAPSHOT
    \- org.apache.poi:poi:jar:3.10-beta2:compile
       \- (commons-codec:commons-codec:jar:1.5:compile - omitted for conflict with 1.8)

1.8
  1. org.openflexo:diana-ppt-editor:jar:1.5.1-SNAPSHOT
    \- commons-codec:commons-codec:jar:1.8:compile

commons-io:commons-io

error
1.3.1
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-core:jar:2.2-SNAPSHOT:compile
       \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile
          \- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
             \- org.apache.xmlgraphics:batik-dom:jar:1.9.1:compile
                \- org.apache.xmlgraphics:batik-css:jar:1.9.1:compile
                   \- org.apache.xmlgraphics:xmlgraphics-commons:jar:2.2:compile
                      \- (commons-io:commons-io:jar:1.3.1:compile - omitted for conflict with 2.6)

2.6
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-api:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:pamela-core:jar:1.5:compile
          \- org.openflexo:flexo-utils:jar:1.5:compile
             +- org.openflexo:connie-utils:jar:1.5:compile
             |  \- (commons-io:commons-io:jar:2.6:compile - omitted for duplicate)
             \- commons-io:commons-io:jar:2.6:compile

org.apache.commons:commons-lang3

error
3.4
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-core:jar:2.2-SNAPSHOT:compile
       \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile
          \- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
             \- (org.apache.commons:commons-lang3:jar:3.4:compile - omitted for conflict with 3.8.1)

3.8.1
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-api:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:pamela-core:jar:1.5:compile
          \- org.openflexo:connie-core:jar:1.5:compile
             \- org.apache.commons:commons-lang3:jar:3.8.1:compile

org.apache.poi:poi

error
3.10-beta1
  1. org.openflexo:diana-ppt-editor:jar:1.5.1-SNAPSHOT
    \- org.apache.poi:poi-scratchpad:jar:3.10-beta1:compile
       \- (org.apache.poi:poi:jar:3.10-beta1:compile - omitted for conflict with 3.10-beta2)

3.10-beta2
  1. org.openflexo:diana-ppt-editor:jar:1.5.1-SNAPSHOT
    \- org.apache.poi:poi:jar:3.10-beta2:compile

org.openflexo:connie-core

error
1.5
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-api:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:pamela-core:jar:1.5:compile
          \- org.openflexo:connie-core:jar:1.5:compile

  2. org.openflexo:diana-drawing-editor:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:diana-core:jar:1.5.1-SNAPSHOT:compile
          \- org.openflexo:diana-api:jar:1.5.1-SNAPSHOT:compile
             \- org.openflexo:pamela-core:jar:1.5:compile
                \- (org.openflexo:connie-core:jar:1.5:compile - omitted for conflict with 1.5-SNAPSHOT)

  3. org.openflexo:diana-geomedit:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:diana-core:jar:1.5.1-SNAPSHOT:compile
          \- org.openflexo:diana-api:jar:1.5.1-SNAPSHOT:compile
             \- org.openflexo:pamela-core:jar:1.5:compile
                \- (org.openflexo:connie-core:jar:1.5:compile - omitted for conflict with 1.5-SNAPSHOT)

  4. org.openflexo:diana-ppt-editor:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:diana-core:jar:1.5.1-SNAPSHOT:compile
          \- org.openflexo:diana-api:jar:1.5.1-SNAPSHOT:compile
             \- org.openflexo:pamela-core:jar:1.5:compile
                \- (org.openflexo:connie-core:jar:1.5:compile - omitted for conflict with 1.5-SNAPSHOT)

  5. org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-core:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:diana-api:jar:1.5.1-SNAPSHOT:compile
          \- org.openflexo:pamela-core:jar:1.5:compile
             \- (org.openflexo:connie-core:jar:1.5:compile - omitted for conflict with 1.5-SNAPSHOT)

1.5-SNAPSHOT
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-core:jar:2.2-SNAPSHOT:compile
       \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile
          +- (org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile - omitted for conflict with 1.5)
          \- org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile
             \- (org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile - omitted for conflict with 1.5)

  2. org.openflexo:diana-drawing-editor:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:gina-swing:jar:2.2-SNAPSHOT:compile
          +- org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile
          +- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
          |  \- org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile
          |     \- (org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile - omitted for duplicate)
          \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile
             \- (org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile - omitted for duplicate)

  3. org.openflexo:diana-geomedit:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:gina-swing:jar:2.2-SNAPSHOT:compile
          +- org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile
          +- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
          |  \- org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile
          |     \- (org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile - omitted for duplicate)
          \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile
             \- (org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile - omitted for duplicate)

  4. org.openflexo:diana-ppt-editor:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:gina-swing:jar:2.2-SNAPSHOT:compile
          +- org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile
          +- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
          |  \- org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile
          |     \- (org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile - omitted for duplicate)
          \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile
             \- (org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile - omitted for duplicate)

  5. org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-swing:jar:2.2-SNAPSHOT:compile
       +- org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile
       +- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
       |  \- org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile
       |     \- (org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile - omitted for duplicate)
       \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile
          \- (org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile - omitted for duplicate)

org.openflexo:flexo-utils

error
1.5
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-api:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:pamela-core:jar:1.5:compile
          \- org.openflexo:flexo-utils:jar:1.5:compile

  2. org.openflexo:diana-drawing-editor:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:diana-core:jar:1.5.1-SNAPSHOT:compile
          \- org.openflexo:diana-api:jar:1.5.1-SNAPSHOT:compile
             \- org.openflexo:pamela-core:jar:1.5:compile
                \- (org.openflexo:flexo-utils:jar:1.5:compile - omitted for conflict with 1.5-SNAPSHOT)

  3. org.openflexo:diana-geomedit:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:diana-core:jar:1.5.1-SNAPSHOT:compile
          \- org.openflexo:diana-api:jar:1.5.1-SNAPSHOT:compile
             \- org.openflexo:pamela-core:jar:1.5:compile
                \- (org.openflexo:flexo-utils:jar:1.5:compile - omitted for conflict with 1.5-SNAPSHOT)

  4. org.openflexo:diana-ppt-editor:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:diana-core:jar:1.5.1-SNAPSHOT:compile
          \- org.openflexo:diana-api:jar:1.5.1-SNAPSHOT:compile
             \- org.openflexo:pamela-core:jar:1.5:compile
                \- (org.openflexo:flexo-utils:jar:1.5:compile - omitted for conflict with 1.5-SNAPSHOT)

  5. org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-core:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:diana-api:jar:1.5.1-SNAPSHOT:compile
          \- org.openflexo:pamela-core:jar:1.5:compile
             \- (org.openflexo:flexo-utils:jar:1.5:compile - omitted for conflict with 1.5-SNAPSHOT)

1.5-SNAPSHOT
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-core:jar:2.2-SNAPSHOT:compile
       \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile
          +- org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile
          |  \- (org.openflexo:flexo-utils:jar:1.5-SNAPSHOT:compile - omitted for conflict with 1.5)
          \- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
             \- (org.openflexo:flexo-utils:jar:1.5-SNAPSHOT:compile - omitted for conflict with 1.5)

  2. org.openflexo:diana-drawing-editor:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:gina-swing:jar:2.2-SNAPSHOT:compile
          \- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
             +- org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile
             |  \- (org.openflexo:flexo-utils:jar:1.5-SNAPSHOT:compile - omitted for conflict with 1.5)
             \- org.openflexo:flexo-utils:jar:1.5-SNAPSHOT:compile

  3. org.openflexo:diana-geomedit:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:gina-swing:jar:2.2-SNAPSHOT:compile
          \- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
             +- org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile
             |  \- (org.openflexo:flexo-utils:jar:1.5-SNAPSHOT:compile - omitted for conflict with 1.5)
             \- org.openflexo:flexo-utils:jar:1.5-SNAPSHOT:compile

  4. org.openflexo:diana-ppt-editor:jar:1.5.1-SNAPSHOT
    \- org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT:compile
       \- org.openflexo:gina-swing:jar:2.2-SNAPSHOT:compile
          \- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
             +- org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile
             |  \- (org.openflexo:flexo-utils:jar:1.5-SNAPSHOT:compile - omitted for conflict with 1.5)
             \- org.openflexo:flexo-utils:jar:1.5-SNAPSHOT:compile

  5. org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-swing:jar:2.2-SNAPSHOT:compile
       \- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
          +- org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile
          |  \- (org.openflexo:flexo-utils:jar:1.5-SNAPSHOT:compile - omitted for conflict with 1.5)
          \- org.openflexo:flexo-utils:jar:1.5-SNAPSHOT:compile

org.openflexo:connie-core

error
1.5-SNAPSHOT
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-core:jar:2.2-SNAPSHOT:compile
       \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile
          +- (org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile - omitted for conflict with 1.5)
          \- org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile
             \- (org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile - omitted for conflict with 1.5)

org.openflexo:connie-parser

error
1.5-SNAPSHOT
  1. org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-swing:jar:2.2-SNAPSHOT:compile
       \- org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile
          \- org.openflexo:connie-parser:jar:1.5-SNAPSHOT:compile

org.openflexo:connie-utils

error
1.5-SNAPSHOT
  1. org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-swing:jar:2.2-SNAPSHOT:compile
       +- org.openflexo:connie-core:jar:1.5-SNAPSHOT:compile
       |  \- org.openflexo:connie-utils:jar:1.5-SNAPSHOT:compile
       \- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
          \- org.openflexo:flexo-utils:jar:1.5-SNAPSHOT:compile
             \- (org.openflexo:connie-utils:jar:1.5-SNAPSHOT:compile - omitted for duplicate)

org.openflexo:flexo-utils

error
1.5-SNAPSHOT
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-core:jar:2.2-SNAPSHOT:compile
       \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile
          +- org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile
          |  \- (org.openflexo:flexo-utils:jar:1.5-SNAPSHOT:compile - omitted for conflict with 1.5)
          \- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
             \- (org.openflexo:flexo-utils:jar:1.5-SNAPSHOT:compile - omitted for conflict with 1.5)

org.openflexo:flexographicutils

error
2.2-SNAPSHOT
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-core:jar:2.2-SNAPSHOT:compile
       \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile
          \- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile

org.openflexo:flexolocalization

error
2.2-SNAPSHOT
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-core:jar:2.2-SNAPSHOT:compile
       \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile
          +- org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile
          \- org.openflexo:flexographicutils:jar:2.2-SNAPSHOT:compile
             \- (org.openflexo:flexolocalization:jar:2.2-SNAPSHOT:compile - omitted for duplicate)

org.openflexo:gina-api

error
2.2-SNAPSHOT
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-core:jar:2.2-SNAPSHOT:compile
       \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile

org.openflexo:gina-core

error
2.2-SNAPSHOT
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-core:jar:2.2-SNAPSHOT:compile

org.openflexo:gina-events

error
2.2-SNAPSHOT
  1. org.openflexo:diana-core:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-core:jar:2.2-SNAPSHOT:compile
       \- org.openflexo:gina-api:jar:2.2-SNAPSHOT:compile
          \- org.openflexo:gina-events:jar:2.2-SNAPSHOT:compile

org.openflexo:gina-replay

error
2.2-SNAPSHOT
  1. org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT
    \- org.openflexo:gina-replay:jar:2.2-SNAPSHOT:compile

org.openflexo:gina-swing

error
2.2-SNAPSHOT
  1. org.openflexo:diana-swing:jar:1.5.1-SNAPSHOT
    +- org.openflexo:gina-replay:jar:2.2-SNAPSHOT:compile
    |  \- (org.openflexo:gina-swing:jar:2.2-SNAPSHOT:compile - omitted for duplicate)
    \- org.openflexo:gina-swing:jar:2.2-SNAPSHOT:compile